#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    long int V,br;
    int j=0,d;
    scanf("%ld",&V);
    d=V%10;
    do{
        d=V%10;
        if(d>=5){
            d=d-5;
            j++;
        }
        if(d%2==0)
            j=j+(d/2);
            else
                j=j+(d/2)+1;
        V=V/10;
    }
    while(V>0);
    printf("%d",j);
    return 0;
}